Please ensure Javascript is enabled for purposes of website accessibility
Powered by Zoomin Software. For more details please contactZoomin

CONNECT data services developer documentation

Virtual Table Jobs

  • Last UpdatedJun 30, 2026
  • 2 minute read

Controller for job history.

Get Job History

Returns the job history.

Request

GET /api/v1-preview/tenants/{tenantId}/namespaces/{namespaceId}/virtualTableJobs
?startTime={startTime}&endTime={endTime}&virtualTableId={virtualTableId}&jobState={jobState}&skip={skip}&count={count}&activeDataGapsOnly={activeDataGapsOnly}

Parameters

string tenantId
Tenant identifier.

string namespaceId
Namespace identifier.

[optional] string startTime
If specified, jobs active or created after this time will be returned. Required if endTime is specified.

[optional] string endTime
If specified, jobs active or created before this time will be returned.

[optional] string virtualTableId
If specified, only jobs for this Virtual Table will be returned.

[optional] string jobState
If specified, only jobs matching this state will be returned. Allowed states: PENDING, RUNNING, COMPLETE, CANCELED, TIMEDOUT, FAILED.

[optional] integer skip
Number of entries to skip when paging. Default: 0.

[optional] integer count
Maximum number of entries to return. Default: 100. Maximum allowed: 1000.

[optional] boolean activeDataGapsOnly
If true, only jobs with active data gaps will be returned.

Response

Status Code Body Type Description
200 string Job history for all jobs matching filter conditions.
400 ErrorResponse Bad request.
403 ErrorResponse You are not authorized for this operation.
500 ErrorResponse An error occurred while processing the request.

Refresh Data Gaps

Refreshes all data gaps from a specified Job or Virtual Table.

Request

POST /api/v1-preview/tenants/{tenantId}/namespaces/{namespaceId}/virtualTableJobs

Parameters

string tenantId
Tenant identifier.

string namespaceId
Namespace identifier.

Request Body

Data gap refresh DTO.

{
  "jobId": 0,
  "virtualTableId": "string"
}

Response

Status Code Body Type Description
200 string Empty response.
400 ErrorResponse Bad request.
403 ErrorResponse You are not authorized for this operation.
500 ErrorResponse An error occurred while processing the request.

Get Job By Id

Gets a job by id.

Request

GET /api/v1-preview/tenants/{tenantId}/namespaces/{namespaceId}/virtualTableJobs/{jobId}

Parameters

string tenantId
Tenant identifier.

string namespaceId
Namespace identifier.

integer jobId
ID of the job to retrieve.

Response

Status Code Body Type Description
200 string Job with specified ID.
400 ErrorResponse Bad request.
403 ErrorResponse You are not authorized for this operation.
500 ErrorResponse An error occurred while processing the request.

Dismiss Data Gaps

Dismisses a data gap.

Request

POST /api/v1-preview/tenants/{tenantId}/namespaces/{namespaceId}/virtualTableJobs/{jobId}/dataGapDismissals

Parameters

string tenantId
Tenant identifier.

string namespaceId
Namespace identifier.

integer jobId
ID of the job with gaps to dismiss.

Response

Status Code Body Type Description
200 string Empty response.
400 ErrorResponse Bad request.
403 ErrorResponse You are not authorized for this operation.
500 ErrorResponse An error occurred while processing the request.

Definitions

ErrorResponse

Properties

Property Name Data Type Required Nullable Description
OperationId string false true None
Error string false true None
Reason string false true None
Resolution string false true None
Parameters object false true None
ChildErrors object false true None
{
  "OperationId": "string",
  "Error": "string",
  "Reason": "string",
  "Resolution": "string",
  "Parameters": {
    "property1": "string",
    "property2": "string"
  },
  "ChildErrors": {
    "property1": null,
    "property2": null
  }
}


DataGapRefreshDto

DTO for refreshing all data gaps from a specified Job or Virtual Table.

Properties

Property Name Data Type Required Nullable Description
jobId int64 false true JobId for a job with data gaps to be refreshed.
virtualTableId string false true VirtualTableId for a Virtual Table with data gaps to be refreshed.
{
  "jobId": 0,
  "virtualTableId": "string"
}


In This Topic
TitleResults for “How to create a CRG?”Also Available in